Module org.jfree.chart3d
Package org.jfree.chart3d

# Class Chart3DHints.Key

java.lang.Object
java.awt.RenderingHints.Key
org.jfree.chart3d.Chart3DHints.Key

Enclosing class:
  `Chart3DHints`

public static class Chart3DHints.Key extends RenderingHints.Key
A key for rendering hints that can be used with Orson Charts (in addition to the regular Java2D rendering hints).

## Constructor Summary

Constructors
Constructor
Description
`Key(int privateKey)`
Creates a new key.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`isCompatibleValue(Object val)`
Returns `true` if `val` is a value that is compatible with this key, and `false` otherwise.

### Methods inherited from class java.awt.RenderingHints.Key

`equals, hashCode, intKey`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### Key

public Key(int privateKey)
Creates a new key.

Parameters:
  `privateKey` - the private key.

## Method Details

### isCompatibleValue

public boolean isCompatibleValue(Object val)
Returns `true` if `val` is a value that is compatible with this key, and `false` otherwise.

Specified by:
  `isCompatibleValue` in class `RenderingHints.Key`
Parameters:
  `val` - the value (`null` permitted).
Returns:
  A boolean.